Update Tenant Role
Update Tenant Role
Required permissions: TENANT_ROLE
put/tenants/{tenantUid}/tenant-roles/{tenantRoleUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+tenantRoleUidstringRequiredPattern:
Reference to a tenantRole.
^[A-Za-z0-9-_]+Body
namestringOptional
descriptionstringOptional
externalIdstringOptional
permissionsstring[]Optional
Responses
200
Example response
application/json
namestringRequired
descriptionstringRequired
externalIdstringRequired
permissionsstring[]Required
tenantRoleUidstringRequiredPattern:
^[A-Za-z0-9-_]+isSystemRolebooleanRequired
put/tenants/{tenantUid}/tenant-roles/{tenantRoleUid}
PUT /v2/tenants/{tenantUid}/tenant-roles/{tenantRoleUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 79
{
"name": "text",
"description": "text",
"externalId": "text",
"permissions": [
"text"
]
}200
Example response
{
"name": "text",
"description": "text",
"externalId": "text",
"permissions": [
"text"
],
"tenantRoleUid": "text",
"isSystemRole": true
}Last updated
Was this helpful?

